you can find all tweaks in the \tweaks\ directory of opus-nt.
 
## legend

uwu - added registry value. accurately reversible.  
owo - changed registry value. may not accurately revert.  
w - complex modification/file modification. no reversal-tweak available.  

i do not guarantee that that all of the reversals are accurate across different releases, the green ones are just fairly likely to be accurate. **please do** nag me if the defaults have changed, though. i would love to nail these as good as i can.

<br>

|  | **name** | **details** |
| :---: | --- | --- |
| x | [hello](../tweaks/hello) | dummy tweak |   
| x | [\[longhorn-series\]/disable automatic sleep and hibernation](../tweaks/[longhorn-series]/disable automatic sleep and hibernation) | having the computer sleep while it's doing something = bad |   
| x | [\[longhorn-series\]/disable customer experience improvement program](../tweaks/[longhorn-series]/disable customer experience improvement program) | disables some misc telemetry related to compatibility and problem solving. also degrades performance |   
| x | [\[longhorn-series\]/disable ease of access key combinations](../tweaks/[longhorn-series]/disable ease of access key combinations) | the combinations for sticky keys, filter keys, etc. annoyingly conflict with programs/games that require you to often press/hold SHIFT. other, less annoying combinations have also been disabled for good measure. |   
| x | [\[longhorn-series\]/disable force closing of background processes on shutdown](../tweaks/[longhorn-series]/disable force closing of background processes on shutdown) | killing programs even if they do not have an active window, can lead to unforeseen consequences |   
| x | [\[longhorn-series\]/disable low battery hibernation while charging](../tweaks/[longhorn-series]/disable low battery hibernation while charging) | fixes the annoying behavior where windows will hibernate randomly while the device is charging. this can happen especially on old/dead/stupid batteries. if you are using a weak charger, you may want to exclude this tweak. |   
| x | [\[longhorn-series\]/disable sleep when closing laptop lid](../tweaks/[longhorn-series]/disable sleep when closing laptop lid) | closing the laptop's lid without having it stop all its activities can often be a desirable, additional, state. |   
| x | [\[longhorn-series\]/disable superfetch](../tweaks/[longhorn-series]/disable superfetch) | superfetch stores frequently accessed data in RAM. this is supposed to speed up read speeds, but in practice, it just causes unnecessary i/o activity, especially on HDDs. slow on HDDs, useless on SSDs as they're fast enough as-is, so this is disabled. |   
| x | [\[longhorn-series\]/disable windows defender](../tweaks/[longhorn-series]/disable windows defender) | windows defender is not that good of anti-virus, and also causes a boatload of i/o activity, especially when a lot is going on. definitely worth disabling. |   
| x | [\[longhorn-series\]/disable windows search](../tweaks/[longhorn-series]/disable windows search) | the windows search service is responsible for indexing the files on your drives. the service speeds up search, however, also causes unexpected i/o activity sometimes. |   
| x | [\[longhorn-series\]/disable winsat schedule](../tweaks/[longhorn-series]/disable winsat schedule) | disables the scheduled task responsible for measuring the system's performance index, which is generally useless |   
| x | [\[longhorn-series\]/enable file extensions](../tweaks/[longhorn-series]/enable file extensions) | this enables file extensions (like .exe and .zip) for every newly created user. |   
| x | [\[longhorn-series\]/post-setup script - disable hibernation](../tweaks/[longhorn-series]/post-setup script - disable hibernation) | hibernation locks down your file system while windows is hibernating or shut down (if fast startup is enabled). editing the file-system outside of windows while this is the case, perhaps for recovery purposes, can likely corrupt your data. |   
| x | [\[longhorn-series\]/post-setup script - master](../tweaks/[longhorn-series]/post-setup script - master) | this calls all .cmd scripts in `%WinDir%\Setup\Scripts\opus` after setup (within OOBE, with SYSTEM rights). a log-file is then created at `%SystemDrive%\opus-nt-setupcomplete.log`. the scripts destroy themselves after this. |   
| x | [\[seven\]/remove user libraries](../tweaks/[seven]/remove user libraries) | the library shortcuts show very inconsistent behavior compared to opening the corresponding folders via any other method. it should be more comfortable for most to access user folders via their favorites. |   
| x | [\[ten\]/delay feature updates](../tweaks/[ten]/delay feature updates) | feature updates will be delayed by half a year. feature updates are known to break stuff, especially in their early days, this alleviates the issue. |   
| x | [\[ten\]/disable activity history](../tweaks/[ten]/disable activity history) | the activity history is just kind of creepy and unnecessary. this also skips a step in OOBE. |   
| x | [\[ten\]/disable ads](../tweaks/[ten]/disable ads) | this disables lots of ad-like behavior. the following features are disabled: downloading advert apps, explorer suggestions, start menu suggestions, "tips, tricks and suggestions" and settings suggestions. |   
| x | [\[ten\]/disable automatic sign-on](../tweaks/[ten]/disable automatic sign-on) | automatic sign-on gets your PC ready with the applications you had last started before you log in. this can be annoying if you prefer to start fresh when restarting. this can also slow down your startup by a bunch. |   
| x | [\[ten\]/disable cortana](../tweaks/[ten]/disable cortana) | another unecessity. this also disables web-search suggestions... at least it used to, thanks microsoft. |   
| x | [\[ten\]/disable cross-pc update](../tweaks/[ten]/disable cross-pc update) | on default, windows will download/upload updates from/to other PCs in the network. this may or may not have security implications. better safe than sorry. |   
| x | [\[ten\]/disable driver updates](../tweaks/[ten]/disable driver updates) | driver updates just love to break everything by installing themselves over your current drivers, improperly. this unfortunately does not get rid of GPU driver updates. |   
| x | [\[ten\]/disable fast startup](../tweaks/[ten]/disable fast startup) | when using fast startup, your computer never properly shuts down, but rather hibernates. this can leave you with an unstable system after a while, if you do not restart. see below for more info on hibernation and another reason as to why this is disabled. |   
| x | [\[ten\]/disable game bar](../tweaks/[ten]/disable game bar) | the game bar can decrease performance on certain systems. |   
| x | [\[ten\]/disable lock screen](../tweaks/[ten]/disable lock screen) | disables the additional, phone-like lock screen when an account is locked. saves you a button-press. this currently disables the ability to change your lockscreen image for some reason. |   
| x | [\[ten\]/disable metro app swapping](../tweaks/[ten]/disable metro app swapping) | metro apps suspend themselves into swapfile.sys, to save memory. this however causes i/o activity. it is better disabled, and to disallow wasteful apps to run in the background entirely. |   
| x | [\[ten\]/disable onedrive auto-install](../tweaks/[ten]/disable onedrive auto-install) | onedrive gets installed for every newly created user. this disables that behavior. |   
| x | [\[ten\]/disable recently opened items](../tweaks/[ten]/disable recently opened items) | disables several occurrences of recently opened files and folders, most prominently in quick access. |   
| x | [\[ten\]/disable telemetry](../tweaks/[ten]/disable telemetry) | this tweak reduces the amount of data sent to microsoft. on home/pro, only basic telemetry gets sent. on enterprise, telemetry is "disabled". |   
